debtags (1.12.3build1) vivid; urgency=low

  * rebuild for new libept

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Nov 2014 13:13:51 +0100

debtags (1.12.3) unstable; urgency=medium

  * Remove leftover empty dirs in /etc. Closes: #764235

 -- Enrico Zini <enrico@debian.org>  Sun, 26 Oct 2014 14:14:06 +0100

debtags (1.12.2) unstable; urgency=medium

  * Reimplemented update to always get tags from apt only. Merging databases
    was not really used, YAGNI, and it's time to simplify the overengineered
    debtags design. Closes: #762347.
  * Removed unused XS-Testsuite: autopkgtest. Closes: #728683
  * Updated standards-version, no changes required.

 -- Enrico Zini <enrico@debian.org>  Sun, 05 Oct 2014 22:21:38 +0200

debtags (1.12.1) unstable; urgency=low

  [ Enrico Rossi ]
  * Fix wrong apt.conf.d installation path. (Closes: #730077, #670697)
  * Fix debtags-fetch: Do not download remote tags if --local is specified,
    and HTTP error if remote is unreachable. (Closes: #729502)

 -- Enrico Zini <enrico@debian.org>  Fri, 18 Jul 2014 17:49:53 +0200

debtags (1.12) unstable; urgency=low

  [ Michael Vogt ]
  * Install files in python3-debtagshw

  [ Enrico Zini ]
  * Build with new wibble

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Oct 2013 12:41:25 +0200

debtags (1.11) unstable; urgency=low

  [ Michael Vogt ]
  * merged patch from Dmitrijs Ledkovs to add python3 support
    for the debtagshw module, thanks!
    closes: #686297

  [ Enrico Rossi ]
  * Bash-completion now complete tags as expected. (Closes: #401037)

  [ Enrico Zini ]
  * Added /etc/apt.conf.d/80debtags, thanks to Daniel Hartwig. Closes: #670697
  * Updated copyright file
  * Updated standards-version, no changes required.
  * debtags show: add "Tag:" field also to packages that do not have one
    already in the Packages file

 -- Enrico Zini <enrico@debian.org>  Sat, 10 Aug 2013 12:12:35 +0200

debtags (1.10.2) unstable; urgency=low

  * debtagshw/detectors.py:
    - return  HardwareSupported.NO instead of UNKNOWN if a udev property
      for the requested hardware is not found, thanks to Matthew Paul
      Thomas (LP: #1020057)

 -- Michael Vogt <mvo@debian.org>  Tue, 03 Jul 2012 11:17:21 +0200

debtags (1.10.1) unstable; urgency=low

  [ Chris J Arges ]
  * debian/control: FTBFS: Add dh-autoreconf to Build-Depends.

 -- Michael Vogt <mvo@debian.org>  Thu, 21 Jun 2012 15:36:30 +0200

debtags (1.10) unstable; urgency=low

  [ Enrico Rossi ]
  * Typo fixed in manpage. (Closes: #657684)
  * Re-added the cat command erroneously removed.
  * Bash-completion react to diff. Partially fix #401037
  * Fix "Option --reindex listed in the man-page not supported"
    (Closes: #491408)
  * Fix "Permission denied opening vocabulary file" (Closes: #326819)
  
  [ Michael Vogt ]
  * improvements to debtagshw

 -- Michael Vogt <mvo@debian.org>  Wed, 20 Jun 2012 12:15:58 +0200

debtags (1.9.1) unstable; urgency=high

   * Non maintainer upload.
   * Fix build failure with GCC 4.7. Closes: #672032.

 -- Matthias Klose <doko@debian.org>  Wed, 09 May 2012 22:22:40 +0000

debtags (1.9) unstable; urgency=low

  [ Michael Vogt ]
  * debtagshw/*:
    - add support for matching a given hardware:: tag against the
      current running architecture
  * debian/control:
    - add python-setuptools build-dependency

  [ Enrico Zini ]
  * debtags-fetch: cleanup stray commas from tag lines.
    Closes: #660180, #660222
  * A 3-part version scheme isn't really needed: moving to major.minor

 -- Enrico Zini <enrico@debian.org>  Fri, 17 Feb 2012 15:34:45 +0100

debtags (1.8.1~exp1) experimental; urgency=low

  * rebuild against latest libapt
  * debtagshw/*:
    - add python library that supports matching a given hardware:: 
      tag against the current running hardware

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Jan 2012 15:07:05 +0100

debtags (1.8.0) unstable; urgency=low

  * Removed obsolete/unused command selfcheck
  * Removed obsolete/unused command stats
  * Removed obsolete/unused command todo
  * Removed obsolete/unused command score
  * Removed broken command smartsearch. Closes: #644011.
  * Removed broken command install.
  * Removed obsolete/unused command maintainers
  * Removed obsolete/unused command related. Closes: 403137.
  * Removed obsolete debtags-updatecontrol
  * Send patches via HTTP using external script debtags-submit-patch
    (included). Closes: #641968.
    Added python dependency because of this.
  * Manpage updated. Closes: #641379, #542525, 516098.
  * Documented tax expression syntax in grep. Closes: #589953.
  * Complain about unneeded arguments. Closes: #355634.
  * Fix tagcat to also show tags. Closes: #625456.
  * Homepage moved to the Debian wiki
  * Rewritten fetcher script. Closes: #478590, #481634, #617254.
  * apt-index-watcher is not in stable anymore: dropping conflict.
  * Removed obsolete 'rm's in postinst

 -- Enrico Zini <enrico@debian.org>  Sat, 07 Jan 2012 13:20:34 +0100

debtags (1.7.11) unstable; urgency=low

  * Update /var/lib/debtags/package-tags. Closes: #602634.

 -- Enrico Zini <enrico@debian.org>  Sat, 06 Nov 2010 19:33:06 +0000

debtags (1.7.10) unstable; urgency=low

  * Build with new libept. Closes: #588546
  * No more debtags smartsearch, which has been obsoleted by axi-search
  * Switched to dh7
  * Removed unnecessary python-dev dependency
  * Deprecated debtags-updatecontrol
  * Removed obsolete dependency on c++abi2-dev
  * Switched to Vcs-Git
  * Switch to dpkg-source 3.0 (native) format

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Jul 2010 17:22:13 +0100

debtags (1.7.9) unstable; urgency=low

  * Build with new libept

 -- Enrico Zini <enrico@debian.org>  Fri, 23 Jan 2009 16:45:54 +0100

debtags (1.7.8) testing-proposed-updates; urgency=low

  * Solve name confusion between enum values and template parameters.
    Closes: #512640
  * Improved bash-completion applying patch by Justin B Rye at #403137.
  * Stop smartsearch help from looping.  Closes: #511669.
  * Don't choke on multi-line Tag: fields (although the continuation
    lines are currently ignored).  See: #481634.
  * Suggests: wget.  See: #478590.
  * Fixed Homepage: field and updated standards-version.

 -- Enrico Zini <enrico@debian.org>  Fri, 23 Jan 2009 14:02:57 +0100

debtags (1.7.7) unstable; urgency=low

  * Updated tag vocabulary

 -- Enrico Zini <enrico@debian.org>  Mon, 18 Aug 2008 12:19:14 +0100

debtags (1.7.6) unstable; urgency=low

  * Delete files left around from #472911.  Closes: #473468.
  * Ship experimental tags from the security team.

 -- Enrico Zini <enrico@debian.org>  Mon, 30 Jun 2008 16:59:53 +0200

debtags (1.7.5) unstable; urgency=low

  * Depend on new libept.  Closes: #472796, #472911

 -- Enrico Zini <enrico@debian.org>  Fri, 28 Mar 2008 01:26:33 +0800

debtags (1.7.4) unstable; urgency=high

  * Ship new vocabulary.  Closes: #464790, #464789.
  * Applied patch from #462009.  Closes: #462009.
  * Build-depend on new libept-dev and libwibble-dev.  Closes: #472476.
  * Urgency set to high because of #472476.
  * Updated standards-version, no change required.
  * Removed obsolete and broken mkbrowser script.  Closes: #246678.
  * Added Vcs* tags.
  * Cleaned up README and put some actually useful information in it.
  * Passes make distcheck

 -- Enrico Zini <enrico@debian.org>  Tue, 25 Mar 2008 15:47:13 +0800

debtags (1.7.3+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't try to run debtags in cronjob when binary is not present.  (Closes:
    #435067, #435235, #435243, #457058)
  * Don't make cron mail output unless an error is encountered.  (Closes:
    #431994)

 -- Bas Wijnen <wijnen@debian.org>  Thu, 13 Mar 2008 11:16:22 +0100

debtags (1.7.3) unstable; urgency=low

  * Allow to install extra tag sources in /etc/debtags/sources.list.d/
  * Depends on newer ept.  Closes: bug#430567.
  * Fixed various command line options.  Closes: bug#431796.

 -- Enrico Zini <enrico@debian.org>  Fri, 06 Jul 2007 14:17:59 +0100

debtags (1.7.2) unstable; urgency=low

  * Added cron job to update the debtags index daily
  * Removed unimplemented todoreport command from the commandline parser
    (partly solves #402923)

 -- Enrico Zini <enrico@debian.org>  Fri, 22 Jun 2007 14:52:07 +0100

debtags (1.7.1) unstable; urgency=low

  * Improved apt fetcher to collect as many tags as possible and to expand
    compressed tags

 -- Enrico Zini <enrico@debian.org>  Tue, 12 Jun 2007 20:05:16 +0100

debtags (1.7.0) unstable; urgency=low

  * Fixed documentation of search and grep.  Closes: #397516, #399102.
  * Added missing include, thanks tbm.  Closes: #417153.
  * Fixed commandline help strings.  Closes: #397516, #399102.
  * dumpavail separates records now.  Closes: #423370.
  * dumpavail uses the same field names as apt.  Closes: #423376, #423377.
  * Fixed examples to show the -d switch in the right place.  Closes: 402852.
  * Suggests: tagcoll.  Closes: #402853.

 -- Enrico Zini <enrico@debian.org>  Sat, 09 Jun 2007 21:33:27 +0100

debtags (1.6.6) unstable; urgency=high

  * Build-Depend on new libept.  Closes: bug#400994.

 -- Enrico Zini <enrico@debian.org>  Thu, 30 Nov 2006 19:24:59 +0000

debtags (1.6.5) unstable; urgency=low

  * Rebuilt with new libept, to change the submit address for e-mail tag
    submissions.  Closes: bug#399111.
  * Updated the tag fetch URL in debtags-updatecontrol
  * Include updated tag vocabulary
  * Include the reviewed tag database instead of the Alioth one.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Nov 2006 18:35:46 +0100

debtags (1.6.4) unstable; urgency=low

  * Depends on new libept, which creates ~/.debtags if it is needed and
    missing
  * Added commented out link to http://www.iterating.org ratings tag source
  * Fixed handling of http sources in fetch script
  * Fetch script now deletes old downloaded files before getting the new ones
  * Updated FAQ

 -- Enrico Zini <enrico@debian.org>  Sun, 29 Oct 2006 21:54:42 +0100

debtags (1.6.3) unstable; urgency=low

  * Conflicts with apt-index-watcher.

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Oct 2006 05:22:04 +0100

debtags (1.6.2) unstable; urgency=low

  * Build-depend on newer libtagcoll2-dev.  Closes: bug#391815.
  * Also build-depend on wibble, since we include it explicitly.

 -- Enrico Zini <enrico@debian.org>  Wed, 11 Oct 2006 22:13:21 +0200

debtags (1.6.1) unstable; urgency=low

  * Added --reindex option to update

 -- Enrico Zini <enrico@debian.org>  Wed,  4 Oct 2006 17:50:57 +0200

debtags (1.6.0) unstable; urgency=low

  * Redesign with new libept.
  * New update algorithm, finally getting rid of apt-index-watcher and
    allowing to integrate custom tag sources more easily.
  * Updated Standards-Version.

 -- Enrico Zini <enrico@debian.org>  Wed,  4 Oct 2006 10:03:56 +0200

debtags (1.5.5) unstable; urgency=low

  * Added dumpavail command.
  * Don't rebuild the database on install: apt-index-watcher does it instead.
    Closes: #357103.
  * Compiles with g++ 4.1.  Closes: #357360.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Mar 2006 20:31:47 +0100

debtags (1.5.4) unstable; urgency=low

  * Builds with libapt-front 0.3.8
  * Uses the new on-disk index formats
  * Implemented update --local and used it in postinst.  Closes: #343359.
  * Depends on apt-index-watcher to ensure that the indexes stay updated.
  * Changed commandline parser.  On the occasion I also reworked a bit the
    commandline options.  As I don't know of any particular scripts using
    debtags except my own, I took the freedom of changing as I saw fit.
  * Fixed pointers to tag sources to point to the new database on Alioth.
    Thanks to Adam Conrad who did the work for Ubuntu.
  * /etc/debtags/sources.list now defaults to getting data from the APT
    Packages file, and contains more comments on how to provide new tag
    sources.

 -- Enrico Zini <enrico@debian.org>  Mon,  6 Mar 2006 10:57:18 +0100

debtags (1.5.3) unstable; urgency=low

  * Builds with libapt-front 0.3.6
  * debtags maintainers works now

 -- Enrico Zini <enrico@debian.org>  Mon, 13 Feb 2006 15:48:20 +0100

debtags (1.5.2) unstable; urgency=low

  * Builds with new libapt-front, so it does not ignore one-letter tags
    such as langdevel::c anymore.
  * Default location of tag sources changed to Alioth.
  * Added new experimental "ssearch" option

 -- Enrico Zini <enrico@debian.org>  Sat, 12 Nov 2005 13:42:49 +0100

debtags (1.5.1) unstable; urgency=low

  * Updated to build with the cleaned up libtagcoll-dev
  * Give better insights on install feature in the manpage.  Closes: #322954.
  * Set proper umask during update function.  Closes: #326819.
  * Debtags data are now in the Packages file, so there is now a more finely
    grained alternative to sections.  Closes: #144046.
  * Upload to unstable

 -- Enrico Zini <enrico@debian.org>  Sun, 25 Sep 2005 14:18:57 +0200

debtags (1.5) experimental; urgency=low

  * Ported to new libapt-front
  * Don't depend on libdebtags1-dev anymore, as it has been merged into
    libapt-front

 -- Enrico Zini <enrico@debian.org>  Fri,  9 Sep 2005 01:25:21 +0200

debtags (1.4) experimental; urgency=low

  * Big refactoring after tagcoll refactoring
  * Use libapt-front
  * Split from libdebtags1 again, to avoid circular dependency with
    libapt-front

 -- Enrico Zini <enrico@debian.org>  Mon, 22 Aug 2005 23:37:57 +0200

debtags (1.3.3) unstable; urgency=low

  * Updated manpage mentioning debtags search as a way of seeing what would be
    installed by debtags install.  Closes: #322954.

 -- Enrico Zini <enrico@debian.org>  Mon, 15 Aug 2005 19:01:23 +0200

debtags (1.3.2) unstable; urgency=low

  * Include among the headers the .cc files with template code
  * Noes not abort on update when local sources are used

 -- Enrico Zini <enrico@debian.org>  Tue,  9 Aug 2005 11:23:30 +0200

debtags (1.3.1) unstable; urgency=low

  * Fixed build-deps for building documentation

 -- Enrico Zini <enrico@debian.org>  Sun,  7 Aug 2005 11:32:23 +0200

debtags (1.3) unstable; urgency=low

  * Merged with libdebtags1 source package
    Thanks to Benjamin Mesing for the help.
  * Recompiled with apt 0.6.40.1

 -- Enrico Zini <enrico@debian.org>  Sat,  6 Aug 2005 18:36:07 +0200

debtags (1.2.1) unstable; urgency=low

  * Compiled against new libdebtags1.
  * Updated bash-completion.
  * Saner postinst script.

 -- Enrico Zini <enrico@debian.org>  Wed,  3 Aug 2005 23:25:41 +0200

libdebtags1 (1.0.8) unstable; urgency=low

  * Ignore reading /etc/tagvoc.d on update.

 -- Enrico Zini <enrico@debian.org>  Wed,  3 Aug 2005 23:21:07 +0200

debtags (1.2) unstable; urgency=low

  * Updated bash-completion
  * Preseed /var/cache/debtags in postinst before first upload, so that
    installation works on networkless machines
  * Initialize libdebtags1 in update mode when doing tag add or tag rm.
    Closes: #319655.
  * Notify invalid tags passed to 'tag add' as errors, not as verbose output.
    Closes: #319656.
  * Correctly return exit code when grepping.  Closes: #319756.
  * New libdebtags1 doesn't complain anymore about tags not in the vocabulary.
    Closes: #292208.
  * Manpage updates, thanks A Costa for the patch.  Closes: #305803.
  * Removed lots of old content from README.Debian.  Most is now in the
    Debconf5 paper also available in /usr/share/doc.  Closes: #308931.
  * Updated the manpage.  Closes: #318339.

 -- Enrico Zini <enrico@debian.org>  Sun, 31 Jul 2005 16:07:09 +0200

debtags (1.1) unstable; urgency=low

  * Upload to unstable
  * Invoke debtags update on postinst

 -- Enrico Zini <enrico@debian.org>  Sat,  2 Jul 2005 00:11:50 +0200

libdebtags1 (1.0.7) unstable; urgency=low

  * Catch error while renaming the downloaded file.
    Also tries to download in a /var/cache/debtags/partial instead of
    libapt's default, to have more chances to be in the same partition.
    Closes: #319126.

 -- Enrico Zini <enrico@debian.org>  Wed,  3 Aug 2005 23:21:05 +0200

libdebtags1 (1.0.6) unstable; urgency=low

  * Compiles with gcc 4

 -- Enrico Zini <enrico@debian.org>  Sun, 10 Jul 2005 00:44:47 +0300

libdebtags1 (1.0.5) unstable; urgency=low

  * Fixed a segfault in Debtags::Package code

 -- Enrico Zini <enrico@debian.org>  Mon,  4 Jul 2005 18:54:33 +0200

libdebtags1 (1.0.4) unstable; urgency=low

  * Ported to new features of libtagcoll1.
  * Upload to unstable

 -- Enrico Zini <enrico@debian.org>  Fri,  1 Jul 2005 23:35:53 +0200

debtags (1.0) experimental; urgency=low

  * Bumped version to 1.0

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Jun 2005 19:50:07 +0200

debtags (0.2) experimental; urgency=low

  * Ported to use DebtagsSimple instead of Environment

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Jun 2005 17:49:47 +0200

libdebtags1 (1.0.3) experimental; urgency=low

  * Fixed build-dependencies.  Closes: #309534.
    Thanks to Kurt Roeckx

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Jun 2005 16:18:33 +0200

libdebtags1 (1.0.2) experimental; urgency=low

  * Reenabled outputSystem and outputPatched without conversion to Package or
    Tag
  * Fixed a segfault in DebtagsSimple when asking for the tags of non-existing
    packages
  * Renamed Debtags.h in DebtagsSimple.h

 -- Enrico Zini <enrico@debian.org>  Sat, 11 Jun 2005 18:16:22 +0200

debtags (0.101) experimental; urgency=low

  * Added facetcoll feature
  * Added stats feature
  * Added todoreport feature

 -- Enrico Zini <enrico@debian.org>  Fri, 20 May 2005 17:36:48 +0200

libdebtags1 (1.0.1) experimental; urgency=low

  * Improved the simplified interface
  * Added build-dep on python-dev
  * Added DebtagsTODO and DebtagsFilters

 -- Enrico Zini <enrico@debian.org>  Fri, 20 May 2005 13:41:33 +0200

debtags (0.100) experimental; urgency=low

  * Ported to libdebtags1

 -- Enrico Zini <enrico@debian.org>  Fri, 13 May 2005 15:28:40 +0200

libdebtags1 (1.0) experimental; urgency=low

  * Ported to libtagcoll 1.0
  * Packaged as a -dev only library

 -- Enrico Zini <enrico@debian.org>  Wed, 13 Apr 2005 02:49:58 +0200

libdebtags (0.9.9) unstable; urgency=low

  * Removed very verbose notice messages during update

 -- Enrico Zini <enrico@debian.org>  Sat, 19 Mar 2005 11:06:42 +0100

debtags (0.99.4) unstable; urgency=low

  * Updated build-depends on libdebtags-dev. Closes: #277859.

 -- Enrico Zini <enrico@debian.org>  Sat, 23 Oct 2004 11:25:13 +0200

libdebtags (0.9.8) unstable; urgency=low

  * Updated shlibs file

 -- Enrico Zini <enrico@debian.org>  Sat, 23 Oct 2004 11:15:02 +0200

libdebtags (0.9.7) unstable; urgency=low

  * Add descriptions to acquirers to provide more meaningful feedbacks
  * Don't expand 'Equates' when reading the package database
    (autodebtag should do that instead)
  * When removing tags not found on database during update, also prints the
    involved package names

 -- Enrico Zini <enrico@debian.org>  Fri, 22 Oct 2004 12:12:25 +0200

debtags (0.99.3) unstable; urgency=low

  * Upgraded bash completion (Thanks to Emanuele Rocca)
  * Added progress report during debtags update download
  * Check for root privileges before debtags update.  Closes: #277624.

 -- Enrico Zini <enrico@debian.org>  Fri, 22 Oct 2004 10:52:35 +0200

libdebtags (0.9.6) unstable; urgency=low

  * updateDebtagsDatabase allows progress notifications via pkgAcquireStatus

 -- Enrico Zini <enrico@debian.org>  Sun,  5 Sep 2004 20:19:52 +0200

libdebtags (0.9.5) unstable; urgency=low

  * Doesn't segfault on packages which are in debtags database but not in APT
    database

 -- Enrico Zini <enrico@debian.org>  Sun, 22 Aug 2004 18:58:06 +0200

libdebtags (0.9.4) unstable; urgency=low

  * Updated build-dependencies.  Closes: #265874.

 -- Enrico Zini <enrico@debian.org>  Sun, 15 Aug 2004 14:47:07 +0100

libdebtags (0.9.3) unstable; urgency=low

  * TagDB can output the database to TagConsumer<string, Tag> (useful for
    package managers like synaptic that could use the Tag class, but already
    have a different Package class)
  * Introduces Equivs: fields in vocabulary file

 -- Enrico Zini <enrico@debian.org>  Fri, 13 Aug 2004 15:46:37 +0100

debtags (0.99.2) unstable; urgency=low

  * Didn't fail in some cases if commandline option parsing failed

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 20:03:55 +0200

libdebtags (0.9.2) unstable; urgency=low

  * Added build-dependency on libdebtags

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 18:52:22 +0200

debtags (0.99.1) unstable; urgency=low

  * Previous version didn't make sense: using 0.99.1 instead of 0.9.1
    (I'm too sleepy to handle dependencies right, and I have try and get this
    right, right now... $^@!... :( )

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 03:49:35 +0200

debtags (0.9.1) unstable; urgency=low

  * Depends on libdebtags 0.9.1

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 03:31:07 +0200

libdebtags (0.9.1) unstable; urgency=low

  * Depend on libtagcoll 0.99 instead of 0.9

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 03:28:45 +0200

debtags (0.99) unstable; urgency=low

  * Removed XSI:ism in debtags.  Closes: #258850.
    Thanks to David Weinehall for the patch

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 02:08:23 +0200

libdebtags (0.9) unstable; urgency=low

  * Bug fixes over the previous preview version.
  * Builds with GCC 3.4.  Closes: bug#261972.
    Thanks to Andreas Jochens for the patch.

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 02:03:15 +0200

debtags (1.0) unstable; urgency=low

  * Ported to libdebtags 1.0
  * Only released in a separate preview APT repository

 -- Enrico Zini <enrico@debian.org>  Sun,  1 Aug 2004 18:42:22 +0200

libdebtags (1.0) unstable; urgency=low

  * Ported to libtagcoll 1.0
  * Now requires explicit "debtags/" path in #include directives
  * Only released in a separate preview repository

 -- Enrico Zini <enrico@debian.org>  Tue, 27 Jul 2004 18:55:15 +0200

libdebtags (0.9) unstable; urgency=low

  * Make it optional to remove unfaceted tags when loading tag data

 -- Enrico Zini <enrico@debian.org>  Wed,  7 Jul 2004 11:44:13 +0100

libdebtags (0.8) unstable; urgency=low

  * When checking if debtags update has been run, don't look for implications
    and derived-tags anymore (Closes: bug#257200)

 -- Enrico Zini <enrico@debian.org>  Fri,  2 Jul 2004 22:54:57 +0200

libdebtags (0.7) unstable; urgency=low

  * Build-depends on zlib1g-dev

 -- Enrico Zini <enrico@debian.org>  Fri,  2 Jul 2004 22:54:56 +0200

libdebtags (0.6) unstable; urgency=low

  * Downloaded vocabularies actually get processed

 -- Enrico Zini <enrico@debian.org>  Wed, 30 Jun 2004 03:04:09 +0200
 
debtags (0.18) unstable; urgency=low

  * Ported to libdebtags
  * Depends on apt
  * Ported to cdbs
  * Added new "maintainers" option, and a manpage example on how to do Debian
    Developers' matchmaking :)

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Jun 2004 17:00:10 +0200

libdebtags (0.5) unstable; urgency=low

  * Try to download a vocabulary from every tag source
  * Filter downloaded tag data with its relative vocabulary or the system
    vocabulary
  * Filter out packages in the tag database not present in the APT database
  * Added -lapt-pkg in libdebtags.pc.in
  * Added shlibs file
  * Uses cdbs

 -- Enrico Zini <enrico@debian.org>  Mon, 28 Jun 2004 18:59:36 +0200

libdebtags (0.4) unstable; urgency=low

  * Added Depends to the other required development libraries (formerly was
    only Build-Depends).

 -- Enrico Zini <enrico@debian.org>  Sat, 29 May 2004 22:55:42 -0300

libdebtags (0.3) unstable; urgency=low

  * Do not try to install the ChangeLog anymore

 -- Enrico Zini <enrico@debian.org>  Fri, 28 May 2004 20:11:00 -0300

libdebtags (0.2-2) unstable; urgency=low

  * Removed changelog
  * Fixed build dependencies
  * Fixed package description

 -- Enrico Zini <enrico@debian.org>  Fri, 28 May 2004 19:22:54 -0300

 
debtags (0.17) unstable; urgency=low

  * Builds on GCC 2.95

 -- Enrico Zini <enrico@debian.org>  Thu, 27 May 2004 00:04:33 -0300

debtags (0.16) unstable; urgency=low

  * Implemented "debtags install" function

 -- Enrico Zini <enrico@debian.org>  Tue, 25 May 2004 17:33:31 -0300

libdebtags (0.2-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Fri, 21 May 2004 20:41:59 -0300

libdebtags (0.1-1) unstable; urgency=low

  * Initial Release, fork from debtags-edit

 -- Enrico Zini <enrico@debian.org>  Sun, 21 May 2004 13:54:43 -0300

debtags (0.15) unstable; urgency=low

  * Updated copyright file
  * Updated vocabulary:
     * Introduces facet restructuring.  Closes: #247644
     * Added 'use::scanning' tag.  Closes: bug#201532
     * Added 'culture::ukrainian' tag.  Closes: #249059

 -- Enrico Zini <enrico@debian.org>  Mon, 17 May 2004 17:36:40 -0300

debtags (0.14) unstable; urgency=low

  * Included <cctags> in debtacs.cc.  Closes: bug#204719

 -- Enrico Zini <enrico@debian.org>  Mon, 29 Sep 2003 19:34:22 +0200

debtags (0.13) unstable; urgency=low

  * Included the new README.Debian from evan@debian.org
  * Build-depend on libtagcoll >= 0.5.  Closes: bug#202596

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Jul 2003 15:23:09 +0200

debtags (0.12) unstable; urgency=low

  * Don't crash when displaying data about a package not existing in the apt
    database (thanks to chlunde)
 
 -- Enrico Zini <enrico@debian.org>  Thu, 17 Jul 2003 12:45:23 +0200

debtags (0.11) unstable; urgency=low

  * Fixed a typo in the name of Hervé Eychenne in debian/copyright
  * Build-depend on zlib1g-dev.  Closes: bug#195381
  * Corrected many errors on the new description (what was I thinking when I
    wrote it?).  Closes: bug#195186
  * Print a proper error message if a debtags function is used before running
    debtags update.  Closes: bug#195410
  * Propagate http_proxy environment variable to wget.  Closes: bug#196055

 -- Enrico Zini <enrico@debian.org>  Wed,  4 Jun 2003 23:02:23 +0200

debtags (0.10) unstable; urgency=low

  * Added a link to Erich package browser and to the deb-usability debtags
    pages to the debtags manpage
  * Build-Depend on pkg-config
  * Added mkpatch command

 -- Enrico Zini <enrico@debian.org>  Sat, 24 May 2003 14:35:52 +0200

debtags (0.9) unstable; urgency=low

  * Ported to C++
  * Corrected a non-working manpage example
  * If debtags related has an output of more than 30 lines with distance 0 and
    stderr is connected to a tty, print a message suggesting to refine the
    tagging of the packages at Eric's packagebrowser, giving the URL

 -- Enrico Zini <enrico@debian.org>  Wed, 21 May 2003 15:41:39 +0200

debtags (0.8) unstable; urgency=low

  * Corrections to the manpage (thanks to Kevin B. McCarty)
  * tagsearch now shows items matching multiple times just once
  * Database is now kept packed, with all redundancy removed
  * Added "cat" and "grep" commands
  * "show" now correctly handles existing packages with no tags

 -- Enrico Zini <enrico@debian.org>  Fri,  2 May 2003 00:46:21 +0200

debtags (0.7) unstable; urgency=low

  * In "debtags show", do not add Tags: informations to empty apt-cache output
  * Include a tag database with debtags
  * Add a commented file: source pointing to the shipped database
  * Add the possibility of installing local vocabulary additions in
    /etc/tagvoc.d
  * Merge the master vocabulary and all the additions at update time
  * Public location of the vocabulary has been changed to
    /var/lib/debtags/vocabulary
  * Extract implications from the merged vocabulary at import time and keep
    them in /var/lib/debtags/implications
  * Extract derived tags from the merged vocabulary at import time and keep
    them in /var/lib/debtags/derived-tags
  * Expand implications and derived tags at update time, so that applications
    using the package database will find them.  The package database can then
    be re-compressed at any time with tagcoll

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Apr 2003 19:39:14 +0200

debtags (0.6) unstable; urgency=low

  * Updated debtags manpage

 -- Enrico Zini <enrico@debian.org>  Mon, 28 Apr 2003 13:38:54 +0200

debtags (0.5) unstable; urgency=low

  * Added the mkbrowser example script
  * When proxying apt-cache show <package>, subtly add tag informations
    to its output

 -- Enrico Zini <enrico@debian.org>  Sun, 27 Apr 2003 22:39:42 +0200

debtags (0.4) unstable; urgency=low

  * Wrote an introduction on the system in README.Debian

 -- Enrico Zini <enrico@debian.org>  Sun, 27 Apr 2003 16:20:41 +0200

debtags (0.3) unstable; urgency=low

  * Fallback on apt-cache if unknown commands are given
  * Renamed search and show to tagsearch and tagshow
  * Added `related' command
  * Added a manpage
  * Reworked commandline option parsing
  * Read package data from apt caches via libapt-pkg-perl

 -- Enrico Zini <enrico@debian.org>  Sat, 26 Apr 2003 22:40:50 +0200

debtags (0.2) unstable; urgency=low

  * tags sources conflict with apt: changed the sources file

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Apr 2003 22:11:21 +0200

debtags (0.1) unstable; urgency=low

  * Initial Release.

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Apr 2003 00:16:36 +0200

